/*
 *  nest_names.cpp
 *
 *  This file is part of NEST.
 *
 *  Copyright (C) 2004 The NEST Initiative
 *
 *  NEST is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  NEST is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with NEST.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#include "nest_names.h"

namespace nest
{
namespace names
{
const Name a( "a" );
const Name A( "A" );
const Name A_lower( "A_lower" );
const Name A_mean( "A_mean" );
const Name A_std( "A_std" );
const Name A_upper( "A_upper" );
const Name accumulator( "accumulator" );
const Name Act_h( "Act_h" );
const Name Act_m( "Act_m" );
const Name address( "address" );
const Name alpha_1( "alpha_1" );
const Name alpha_2( "alpha_2" );
const Name amplitude( "amplitude" );
const Name archiver_length( "archiver_length" );
const Name as( "as" );
const Name autapses( "autapses" );

const Name b( "b" );
const Name beta( "beta" );
const Name binary( "binary" );

const Name c( "c" );
const Name c_1( "c_1" );
const Name c_2( "c_2" );
const Name c_3( "c_3" );
const Name C_m( "C_m" );
const Name calibrate( "calibrate" );
const Name calibrate_node( "calibrate_node" );
const Name clear( "clear" );
const Name close_after_simulate( "close_after_simulate" );
const Name close_on_reset( "close_on_reset" );
const Name coeff_ex( "coeff_ex" );
const Name coeff_in( "coeff_in" );
const Name coeff_m( "coeff_m" );
const Name connection_count( "connection_count" );
const Name consistent_integration( "consistent_integration" );
const Name count_covariance( "count_covariance" );
const Name count_histogram( "count_histogram" );
const Name covariance( "covariance" );
const Name currents( "currents" );

const Name d( "d" );
const Name D_lower( "D_lower" );
const Name D_mean( "D_mean" );
const Name D_std( "D_std" );
const Name D_upper( "D_upper" );
const Name dead_time( "dead_time" );
const Name dead_time_random( "dead_time_random" );
const Name dead_time_shape( "dead_time_shape" );
const Name delay( "delay" );
const Name delays( "delays" );
const Name Delta_T( "Delta_T" );
const Name delta_tau( "delta_tau" );
const Name delta_u( "delta_u" );
const Name dg_ex( "dg_ex" );
const Name dg_in( "dg_in" );
const Name dhaene_det_spikes( "dhaene_det_spikes" );
const Name dhaene_max_geq_V_th( "dhaene_max_geq_V_th" );
const Name dhaene_quick1( "dhaene_quick1" );
const Name dhaene_quick2( "dhaene_quick2" );
const Name dhaene_tmax_lt_t1( "dhaene_tmax_lt_t1" );
const Name distribution( "distribution" );
const Name dt( "dt" );
const Name dU( "U" );
const Name dUs( "Us" );

const Name E_ahp( "E_ahp" );
const Name E_ex( "E_ex" );
const Name E_in( "E_in" );
const Name E_K( "E_K" );
const Name E_L( "E_L" );
const Name E_Na( "E_Na" );
const Name E_rr( "E_rr" );
const Name E_sfa( "E_sfa" );
const Name element_type( "element_type" );
const Name epoch( "epoch" );
const Name eq12( "eq12" );
const Name eq13( "eq13" );
const Name eq7( "eq7" );
const Name eq9( "eq9" );
const Name eqs7and9( "eqs7and9" );
const Name error( "error" );
const Name events( "events" );
const Name ex_spikes( "ex_spikes" );
const Name exc_conductance( "exc_conductance" );

const Name F_lower( "F_lower" );
const Name F_mean( "F_mean" );
const Name F_std( "F_std" );
const Name F_upper( "F_upper" );
const Name fbuffer_size( "fbuffer_size" );
const Name file( "file" );
const Name file_extension( "file_extension" );
const Name filename( "filename" );
const Name filenames( "filenames" );
const Name flush_after_simulate( "flush_after_simulate" );
const Name flush_records( "flush_records" );
const Name frequency( "frequency" );
const Name frozen( "frozen" );

const Name g( "g" );
const Name g_ahp( "g_ahp" );
const Name g_ex( "g_ex" );
const Name g_in( "g_in" );
const Name g_K( "g_K" );
const Name g_L( "g_L" );
const Name g_Na( "g_Na" );
const Name g_rr( "g_rr" );
const Name g_sfa( "g_sfa" );
const Name gamma( "gamma" );
const Name gamma_shape( "gamma_shape" );
const Name global_id( "global_id" );
const Name gsl_error_tol( "gsl_error_tol" );

const Name h( "h" );
const Name has_connections( "has_connections" );
const Name histogram( "histogram" );
const Name histogram_correction( "histogram_correction" );
const Name HMIN( "HMIN" );

const Name I( "I" );
const Name I_adapt( "I_adapt" );
const Name I_e( "I_e" );
const Name I_ex( "I_ex" );
const Name I_in( "I_in" );
const Name I_L( "I_L" );
const Name I_std( "I_std" );
const Name I_syn( "I_syn" );
const Name I_syn_ex( "I_syn_ex" );
const Name I_syn_in( "I_syn_in" );
const Name I_total( "I_total" );
const Name in_spikes( "in_spikes" );
const Name Inact_n( "Inact_n" );
const Name index_map( "index_map" );
const Name individual_spike_trains( "individual_spike_trains" );
const Name inh_conductance( "inh_conductance" );
const Name input_currents_ex( "input_currents_ex" );
const Name input_currents_in( "input_currents_in" );
const Name Interpol_Order( "Interpol_Order" );
const Name interval( "interval" );
const Name is_refractory( "is_refractory" );

const Name label( "label" );
const Name len_kernel( "len_kernel" );
const Name lin_left_geq_V_th( "lin_left_geq_V_th" );
const Name lin_max_geq_V_th( "lin_max_geq_V_th" );
const Name local( "local" );
const Name local_id( "local_id" );

const Name MAXERR( "MAXERR" );
const Name mean( "mean" );
const Name memory( "memory" );
const Name model( "model" );
const Name mother_rng( "mother_rng" );
const Name mother_seed( "mother_seed" );
const Name multapses( "multapses" );
const Name music_channel( "music_channel" );

const Name n( "n" );
const Name N( "N" );
const Name N_channels( "N_channels" );
const Name n_events( "n_events" );
const Name n_proc( "n_proc" );
const Name neuron( "neuron" );
const Name noise( "noise" );
const Name ns( "ns" );

const Name offset( "offset" );
const Name offsets( "offsets" );
const Name omega( "omega" );
const Name order( "order" );
const Name origin( "origin" );
const Name other( "other" );

const Name p( "p" );
const Name p_copy( "p_copy" );
const Name parent( "parent" );
const Name phase( "phase" );
const Name phi( "phi" );
const Name phi_th( "phi_th" );
const Name port( "port" );
const Name port_name( "port_name" );
const Name port_width( "port_width" );
const Name pot_spikes( "pot_spikes" );
const Name potentials( "potentials" );
const Name precise_times( "precise_times" );
const Name precision( "precision" );
const Name ps( "ps" );
const Name PSC_adapt_step( "PSC_adapt_step" );
const Name PSC_Unit_amplitude( "PSC_Unit_amplitude" );
const Name published( "published" );

const Name q_rr( "q_rr" );
const Name q_sfa( "q_sfa" );

const Name rate( "rate" );
const Name receptor_type( "receptor_type" );
const Name receptor_types( "receptor_types" );
const Name record_from( "record_from" );
const Name record_to( "record_to" );
const Name recordables( "recordables" );
const Name recorder( "recorder" );
const Name refractory_input( "refractory_input" );
const Name registered( "registered" );
const Name relative_amplitude( "relative_amplitude" );
const Name rho_0( "rho_0" );
const Name rms( "rms" );
const Name root_finding_epsilon( "root_finding_epsilon" );
const Name rport( "receptor" );
const Name rports( "receptors" );
const Name rule( "rule" );

const Name S( "S" );
const Name scientific( "scientific" );
const Name screen( "screen" );
const Name senders( "senders" );
const Name size_of( "sizeof" );
const Name source( "source" );
const Name spike( "spike" );
const Name spike_times( "spike_times" );
const Name start( "start" );
const Name state( "state" );
const Name std( "std" );
const Name std_mod( "std_mod" );
const Name stimulator( "stimulator" );
const Name stop( "stop" );
const Name structure( "structure" );
const Name success( "success" );
const Name synapse( "synapse" );
const Name synapse_model( "synapse_model" );
const Name synapse_modelid( "synapse_modelid" );

const Name t_lag( "t_lag" );
const Name t_origin( "t_origin" );
const Name t_ref( "t_ref" );
const Name t_ref_abs( "t_ref_abs" );
const Name t_ref_remaining( "t_ref_remaining" );
const Name t_ref_tot( "t_ref_tot" );
const Name t_spike( "t_spike" );
const Name target( "target" );
const Name target_thread( "target_thread" );
const Name targets( "targets" );
const Name tau_1( "tau_1" );
const Name tau_2( "tau_2" );
const Name tau_ahp( "tau_ahp" );
const Name tau_epsp( "tau_epsp" );
const Name tau_fac( "tau_fac" );
const Name tau_facs( "tau_facs" );
const Name tau_lcm( "tau_lcm" );
const Name tau_m( "tau_m" );
const Name tau_max( "tau_max" );
const Name tau_minus( "tau_minus" );
const Name tau_minus_triplet( "tau_minus_triplet" );
const Name tau_rec( "tau_rec" );
const Name tau_recs( "tau_recs" );
const Name tau_reset( "tau_reset" );
const Name tau_rr( "tau_rr" );
const Name tau_sfa( "tau_sfa" );
const Name tau_syn( "tau_syn" );
const Name tau_syn_ex( "tau_syn_ex" );
const Name tau_syn_in( "tau_syn_in" );
const Name tau_v( "tau_v" );
const Name tau_w( "tau_w" );
const Name taus_eta( "taus_eta" );
const Name taus_syn( "taus_syn" );
const Name theta( "theta" );
const Name thread( "thread" );
const Name thread_local_id( "thread_local_id" );
const Name time_in_steps( "time_in_steps" );
const Name times( "times" );
const Name to_accumulator( "to_accumulator" );
const Name to_file( "to_file" );
const Name to_memory( "to_memory" );
const Name to_screen( "to_screen" );
const Name Tstart( "Tstart" );
const Name Tstop( "Tstop" );

const Name u( "u" );
const Name U_lower( "U_lower" );
const Name U_m( "U_m" );
const Name U_mean( "U_mean" );
const Name U_std( "U_std" );
const Name U_upper( "U_upper" );
const Name update( "update" );
const Name update_node( "update_node" );
const Name us( "us" );

const Name V_epsp( "V_epsp" );
const Name V_m( "V_m" );
const Name V_min( "V_min" );
const Name V_noise( "V_noise" );
const Name V_peak( "V_peak" );
const Name V_reset( "V_reset" );
const Name V_th( "V_th" );
const Name V_th_alpha_1( "V_th_alpha_1" );
const Name V_th_alpha_2( "V_th_alpha_2" );
const Name V_th_v( "V_th_v" );
const Name vals_eta( "vals_eta" );
const Name vp( "vp" );

const Name w( "w" );
const Name weight( "weight" );
const Name weight_std( "weight_std" );
const Name weighted_spikes_ex( "weighted_spikes_ex" );
const Name weighted_spikes_in( "weighted_spikes_in" );
const Name weights( "weights" );
const Name with_noise( "with_noise" );
const Name with_reset( "with_reset" );
const Name withgid( "withgid" );
const Name withpath( "withpath" );
const Name withtime( "withtime" );
const Name withweight( "withweight" );

const Name x( "x" );
const Name xs( "xs" );

// needed in Timofeev2000 or Compte2003
const Name g_conn("g_conn");
const Name V_m_s("V_m_s");
const Name V_m_d("V_m_d");
const Name C_m_s("C_m_s");
const Name C_m_d("C_m_d");
const Name g_Na_p("g_Na_p");
const Name g_K_s("g_K_s");
const Name g_K_A("g_K_A");
const Name g_K_AR("g_K_AR");
const Name g_Ca("g_Ca");
const Name g_K_Ca("g_K_Ca");
const Name g_K_Na("g_K_Na");
const Name Na_m("Na_m");
const Name Na_h("Na_h");
const Name K_m("K_m");
const Name Na_p_m("Na_p_m");
const Name K_s_m("K_s_m");
const Name K_A_h("K_A_h");
const Name n_Ca("n_Ca");
const Name n_Na("n_Na");
const Name E_Ca("E_Ca");

const Name g_ampa("g_ampa");
const Name g_nmda_fast("g_nmda_fast");
const Name g_nmda_slow("g_nmda_slow");
const Name tau_syn_ampa("tau_syn_ampa");
const Name tau_syn_nmda_fast("tau_syn_nmda_fast");
const Name tau_syn_nmda_slow("tau_syn_nmda_slow");

const Name g_gaba("g_gaba");
const Name tau_syn_gaba("tau_syn_gaba");

}
}
